/*
 * This file is (c) Copyright Zarafa, The Netherlands, 2007
 *
 * Use of this file and the source contained within it is subject to the
 * license of the package it belongs to. See the LICENSE file in the
 * top-level directory of the package.
 *
 */

#include "platform.h"

// Damn windows header defines max which break C++ header files
#undef max

#include "outputStreamMAPIAdapter.h"

#include "mapidefs.h"

outputStreamMAPIAdapter::outputStreamMAPIAdapter(IStream *lpStream)
{
	this->lpStream = lpStream;
	if(lpStream)
		lpStream->AddRef();
}

outputStreamMAPIAdapter::~outputStreamMAPIAdapter()
{
	if(lpStream)
		lpStream->Release();
}

void outputStreamMAPIAdapter::write(const value_type* const data, const size_type count)
{
	lpStream->Write((unsigned char *)data,count,NULL);
}

